aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/jenkins_common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/jenkins_common.sh')
-rw-r--r--contrib/jenkins_common.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/contrib/jenkins_common.sh b/contrib/jenkins_common.sh
index 824dd43a..bce771d8 100644
--- a/contrib/jenkins_common.sh
+++ b/contrib/jenkins_common.sh
@@ -1,5 +1,14 @@
#!/bin/sh
+# this is a common helper script that is shared among all BTS model
+# specific helper scripts like jenkins_sysmobts.sh. You shouldn't call
+# this directly, but rather indirectly via the bts-specific scripts
+
+if ! [ -x "$(command -v osmo-deps.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
set -ex
base="$PWD"